Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.rproject.ant
Class RTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.rproject.ant.RTask

All Implemented Interfaces:
  java.lang.Cloneable, MessageListener

Direct Known Subclasses:
  RRun, RSet

    public abstract class RTask

extends org.apache.tools.ant.Task
implements MessageListener

Super class of all R specific tasks

Author:
  Romain Francois

Field Summary
`protected static java.lang.StringBuilder` | `buffer`
`protected boolean` | `failonerror`
`protected boolean` | `failure`
`protected static AntRMainLoopCallbacks` | `loop`
`protected static REXPReference` | `project`
`protected static JRIEngine` | `R` REngine used by R specific tasks

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location`

Constructor Summary
`RTask()`

Method Summary
`private static REXPReference` | `createJavaObjectReference(java.lang.Object o)` Deprecated.
`void` | `fails()`
`void` | `flush()` `MessageListener` implementation, log the message buffer
`private static JRIEngine` | `initR()` Initializes R
`private void` | `resetCustomErrorHandler()`
`protected REXP` | `run_(java.lang.String code)`
`protected REXP` | `run(java.lang.String code)`
`void` | `send(Message message)` `MessageListener` implementation, add the message to a message buffer
`private void` | `setCustomErrorHandler()`
`void` | `setFailonerror(boolean failonerror)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### R

    protected static JRIEngine R

  REngine used by R specific tasks

### loop

    protected static AntRMainLoopCallbacks loop

### buffer

    protected static java.lang.StringBuilder buffer

### project

    protected static REXPReference project

### failonerror

    protected boolean failonerror

### failure

    protected boolean failure

Constructor Detail

### RTask

    public RTask()

Method Detail

### initR

    private static JRIEngine initR()

  Initializes R

### run

    protected REXP run(java.lang.String code)
                throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### resetCustomErrorHandler

    private void resetCustomErrorHandler()

### setCustomErrorHandler

    private void setCustomErrorHandler()
                                throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### run_

    protected REXP run_(java.lang.String code)
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### createJavaObjectReference

    @Deprecated
    private static REXPReference createJavaObjectReference(java.lang.Object o)

  Deprecated.

### setFailonerror

    public void setFailonerror(boolean failonerror)

### fails

    public void fails()

### send

    public void send(Message message)

  `MessageListener` implementation, add the message to a message buffer

  Specified by:
    `send` in interface `MessageListener`
  Parameters:
    `message` - a message sent by the R main loop

### flush

    public void flush()

  `MessageListener` implementation, log the message buffer

  Specified by:
    `flush` in interface `MessageListener`
  See Also:
    `AntRMainLoopCallbacks#rFlushConsole(org.rosuda.JRI.Rengine)`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Romain Francois francoisromain@free.fr